package com.ms.dal.mapper;

import com.ms.dal.entity.Logistics;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.ms.dal.entity.Logistics
 */
@Mapper
public interface LogisticsMapper {

    int deleteByPrimaryKey(Long id);

    int insert(Logistics record);

    int insertOrUpdate(Logistics  record);

    int insertSelective(Logistics record);

    Logistics selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Logistics record);

    int updateByPrimaryKey(Logistics record);

    List<Logistics> getList();

    Logistics getByLogisticsName(@Param("logisticsName") String logisticsName);
}
